Skip to main content
`Ctrl`+`K`

# SVDMonitorAllDrawLG

Plots the error estimate of all unconverged approximations at each iteration of the singular value solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDMonitorAllDrawLG(SVD svd,PetscInt its,PetscInt nconv,PetscReal sigma[],PetscReal errest[],PetscInt nest,PetscViewerAndFormat *vf)

Collective

## Input Parameters

- svd - the singular value solver context

- its - iteration number

- nconv - number of converged singular triplets so far

- sigma - singular values

- errest - error estimates

- nest - number of error estimates to display

- vf - viewer and format for monitoring

## Options Database Key

- -svd_monitor_all draw::draw_lg - activates `SVDMonitorAllDrawLG()`

## Notes

This is not called directly by users, rather one calls `SVDMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `SVD` solve.

Call `SVDMonitorAllDrawLGCreate()` to create the context used with this monitor.

## See Also

SVD: Singular Value Decomposition, `SVDMonitorSet()`, `SVDMonitorAllDrawLGCreate()`

## Level

intermediate

## Location

src/svd/interface/svdmon.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages